%bcond_without	tests
Summary:	EZT is a very clean and simple module for templating in Python
Name:		python-ezt
# 0.svnrevision
Version:	0.22
Release:	4
License:	LGPL
Group:		Libraries/Python
# http://ezt.googlecode.com/svn/trunk/ ezt
Source0:	ezt-20080701.tar.gz
# Source0-md5:	82b3eb1fefd547e543d0c1ee5be051b9
URL:		http://code.google.com/p/ezt/
BuildRequires:	python >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
EZT is a very clean and simple module for templating in Python.

%prep
%setup -q -n ezt

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

install ezt.py $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_comp $RPM_BUILD_ROOT
%py_ocomp $RPM_BUILD_ROOT
%py_postclean

%{?with_tests:cd tests; %{__python} ezt_test.py}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/*.py[co]
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-ezt.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 82f65c7
- release 4 (by relup.sh)

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 77de5c2
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5745284
- release 2

* Tue Jul 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9181b92
- no need for subdir

* Tue Jul 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> efbba2c
- simple templating engine

